%define upstream_name    Getopt-Base
%define upstream_version v0.0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Foundation for oo GetOpt support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.3-10.mga10
+ Revision: 2199346
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.3-9.mga9
+ Revision: 1803827
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.3-8.mga8
+ Revision: 1494710
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.3-7.mga7
+ Revision: 1268209
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.3-6.mga6
+ Revision: 1027854
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.0.3-5.mga6
+ Revision: 931677
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-4.mga5
+ Revision: 743983
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-3.mga5
+ Revision: 684853
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.3-2.mga4
+ Revision: 526983
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.0.3-1.mga4
+ Revision: 439309
- update to v0.0.3

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 367704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 jquelin <jquelin> 0.0.2-1.mga2
+ Revision: 156800
- imported package perl-Getopt-Base


* Thu Oct 20 2011 cpan2dist v0.0.2-1mga
- initial mageia release, generated with cpan2dist
